---
---

//
// Bootstrap colors
// Variable names will likely not match the color
//

$white:    #1a1a1a !default;
$gray-100: #202225 !default;
$gray-200: #2f3136 !default;
$gray-300: #40444b !default;
$gray-400: #64676b !default;
$gray-500: #adb5bd !default;
$gray-600: #ced4da !default;
$gray-700: #dee2e6 !default;
$gray-800: #e9ecef !default;
$gray-900: #f8f9fa !default;
$black:    #fff !default;

$grays: () !default;
$grays: map-merge((
  "100": $gray-100,
  "200": $gray-200,
  "300": $gray-300,
  "400": $gray-400,
  "500": $gray-500,
  "600": $gray-600,
  "700": $gray-700,
  "800": $gray-800,
  "900": $gray-900
), $grays);

$blue:    #007bff !default;
$indigo:  #6610f2 !default;
$purple:  #6f42c1 !default;
$pink:    #e57cac !default;
$red:     #dc3545 !default;
$orange:  #fd7e14 !default;
$yellow:  #ffc107 !default;
$green:   #28a745 !default;
$teal:    #20c997 !default;
$cyan:    #17a2b8 !default;

$colors: () !default;
$colors: map-merge((
  "blue":       $blue,
  "indigo":     $indigo,
  "purple":     $purple,
  "pink":       $pink,
  "red":        $red,
  "orange":     $orange,
  "yellow":     $yellow,
  "green":      $green,
  "teal":       $teal,
  "cyan":       $cyan,
  "white":      $white,
  "gray":       $gray-400,
  "gray-dark":  $gray-200
), $colors);

$primary:       $blue !default;
$secondary:     $gray-400 !default;
$success:       $green !default;
$info:          $cyan !default;
$warning:       $yellow !default;
$danger:        $red !default;
$light:         $gray-800 !default;
$dark:          $gray-100 !default;

$theme-colors: () !default;
$theme-colors: map-merge((
  "primary":    #313a57,
  "secondary":  #6f8ab7,
  "success":    $success,
  "info":       $info,
  "warning":    $warning,
  "danger":     $danger,
  "light":      $light,
  "dark":       $dark
), $theme-colors);
// stylelint-enable

// Set a specific jump point for requesting color jumps
$theme-color-interval: 8% !default;

// The yiq lightness value that determines when the lightness of color changes from "dark" to "light". Acceptable values are between 0 and 255.
$yiq-contrasted-threshold: 150 !default;

// Customize the light and dark text colors for use in our YIQ color contrast function.
$yiq-text-dark: $white !default;
$yiq-text-light: $gray-900 !default;

$body-bg:    #292B2F !default;
$body-color: $gray-900 !default;

$modal-backdrop-bg: $gray-900 !important;

//
// Custom colors
//

$border-color-solid: #3f4144;
$border-color: rgba(255, 255, 255, .1);
$base-border: 1px solid $border-color;

$link-color: #be9bff;

$font-family-sans-serif: "Raleway";

@import "manifest";
@import "components/dark-scrollbar";
@import url("dark-syntax.css");
